From: Sophie Brun <sophie@offensive-security.com>
Date: Tue, 20 Sep 2022 18:15:10 +0200
Subject: Fix regex for new glib2.0

Since glib2.0 version 2.73.2, they replace PCRE1 with PCRE2 and it seems
that some functionalities are no longer supported.
See https://gitlab.gnome.org/GNOME/glib/-/issues/2760
http://www.pcre.org/current/doc/html/pcre2pattern.html#SEC9
We need to place the hyphen at the end of the class.
" If a minus character is required in a class, it must be escaped with a
backslash or appear in a position where it cannot be interpreted as
indicating a range, typically as the first or last character in the
class, or immediately after a range."

Bug-Kali: https://bugs.kali.org/view.php?id=7926
---
 src/manage.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/manage.c b/src/manage.c
index ec3ec6e..8b7b341 100644
--- a/src/manage.c
+++ b/src/manage.c
@@ -6178,7 +6178,7 @@ manage_read_info (gchar *type, gchar *uid, gchar *name, gchar **result)
 int
 validate_username (const gchar * name)
 {
-  if (g_regex_match_simple ("^[[:alnum:]-_.]+$", name, 0, 0))
+  if (g_regex_match_simple ("^[[:alnum:]_.-]+$", name, 0, 0))
     return 0;
   else
     return 1;
